Documentation Index Fetch the complete documentation index at: https://libops-feat-debug.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Select a tab below for the core sitectl command or one of its plugins to see install and upgrade instructions.
Installing a sitectl plugin automatically will install sitectl on your machine if using homebrew or linux packages to install.
sitectl
sitectl-drupal
sitectl-isle
Homebrew You can install sitectl using Homebrew: brew tap libops/homebrew https://github.com/libops/homebrew
brew install libops/homebrew/sitectl
To upgrade later: brew update
brew upgrade libops/homebrew/sitectl
Linux Packages Releases publish native Linux packages through the libops package repository. Debian / Ubuntu
Fedora RHEL
curl -fsSL https://packages.libops.io/sitectl/sitectl-archive-keyring.asc | sudo gpg --dearmor -o /usr/share/keyrings/sitectl-archive-keyring.gpg
echo "deb [signed-by=/usr/share/keyrings/sitectl-archive-keyring.gpg] https://packages.libops.io/sitectl ./" | sudo tee /etc/apt/sources.list.d/sitectl.list > /dev/null
sudo apt update
sudo apt install sitectl
To upgrade later: Debian / Ubuntu
Fedora RHEL
sudo apt update
sudo apt install --only-upgrade sitectl
Binary Install You can install sitectl by either downloading or building the sitectl binary.
Requires go and make git clone https://github.com/libops/sitectl
cd sitectl
make build
./sitectl --help
To upgrade a binary install, download the newest release or rebuild from the latest source, then replace the existing binary in your $PATH. Once sitectl is on your system, put the binary in a directory that is in your $PATH. Homebrew You can install sitectl-drupal using Homebrew: brew tap libops/homebrew https://github.com/libops/homebrew
brew install libops/homebrew/sitectl-drupal
Homebrew will also install sitectl as a dependency. To upgrade later: brew update
brew upgrade libops/homebrew/sitectl-drupal
Linux Packages Releases publish native Linux packages through the libops package repository. Debian / Ubuntu
Fedora RHEL
curl -fsSL https://packages.libops.io/sitectl/sitectl-archive-keyring.asc | sudo gpg --dearmor -o /usr/share/keyrings/sitectl-archive-keyring.gpg
echo "deb [signed-by=/usr/share/keyrings/sitectl-archive-keyring.gpg] https://packages.libops.io/sitectl ./" | sudo tee /etc/apt/sources.list.d/sitectl.list > /dev/null
sudo apt update
sudo apt install sitectl-drupal
The package manager will also install sitectl as a dependency. To upgrade later: Debian / Ubuntu
Fedora RHEL
sudo apt update
sudo apt install --only-upgrade sitectl-drupal
Binary Install You can install sitectl-drupal by either downloading or building the sitectl-drupal binary. You also need the base sitectl binary on your system.
Requires go and make git clone https://github.com/libops/sitectl-drupal
cd sitectl-drupal
make build
./sitectl-drupal --help
To upgrade a binary install, download the newest release or rebuild from the latest source, then replace the existing binary in your $PATH. Once sitectl-drupal is on your system, put the binary in a directory that is in your $PATH. Homebrew You can install sitectl-isle using Homebrew: brew tap libops/homebrew https://github.com/libops/homebrew
brew install libops/homebrew/sitectl-isle
Homebrew will also install sitectl and sitectl-drupal as dependencies. To upgrade later: brew update
brew upgrade libops/homebrew/sitectl-isle
Linux Packages Releases publish native Linux packages through the libops package repository. Debian / Ubuntu
Fedora RHEL
curl -fsSL https://packages.libops.io/sitectl/sitectl-archive-keyring.asc | sudo gpg --dearmor -o /usr/share/keyrings/sitectl-archive-keyring.gpg
echo "deb [signed-by=/usr/share/keyrings/sitectl-archive-keyring.gpg] https://packages.libops.io/sitectl ./" | sudo tee /etc/apt/sources.list.d/sitectl.list > /dev/null
sudo apt update
sudo apt install sitectl-isle
The package manager will also install sitectl and sitectl-drupal as dependencies. To upgrade later: Debian / Ubuntu
Fedora RHEL
sudo apt update
sudo apt install --only-upgrade sitectl-isle
Binary Install You can install sitectl-isle by either downloading or building the sitectl-isle binary. You also need the base sitectl binary on your system.
Requires go and make git clone https://github.com/libops/sitectl-isle
cd sitectl-isle
make build
./sitectl-isle --help
To upgrade a binary install, download the newest release or rebuild from the latest source, then replace the existing binary in your $PATH. Once sitectl-isle is on your system, put the binary in a directory that is in your $PATH.